LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XCustomShapeHandle Interface Reference

The XCustomShapeHandle. More...

`import"XCustomShapeHandle.idl";`

Inheritance diagram for XCustomShapeHandle:

## Public Member Functions
com::sun::star::awt::Point | getPosition ()
| is getting the actual handle position More...
void | setControllerPosition ([in] com::sun::star::awt::Point aPoint)
| is setting a new position for the handle More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The XCustomShapeHandle.

## Member Function Documentation

com::sun::star::awt::Point getPosition | ( |  | ) |

is getting the actual handle position

Returns
  a the actual handle position

void setControllerPosition | ( | [in] com::sun::star::awt::Point | aPoint | ) |

is setting a new position for the handle

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XCustomShapeHandle.idl